var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function Loading(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M2.5 24C2.5 12.126 12.126 2.5 24 2.5c.152 0 .304.002.455.005C36.12 2.748 45.5 12.278 45.5 24c0 11.874-9.626 21.5-21.5 21.5a2.5 2.5 0 010-5c9.113 0 16.5-7.387 16.5-16.5 0-8.995-7.199-16.31-16.149-16.496A16.889 16.889 0 0024 7.5C14.887 7.5 7.5 14.887 7.5 24a2.5 2.5 0 01-5 0z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = Loading;
export default Loading;

